Article ID: 117558, created on Feb 27, 2014, last review on Aug 12, 2014

  • Applies to:
  • Odin Business Automation Standard 4.5
  • Odin Business Automation Standard 4.3
  • Plesk 12.0 for Linux
  • Plesk 11.5 for Linux
  • Virtuozzo 6.0
  • Virtuozzo containers for Linux 4.7
  • Virtuozzo containers for Linux 4.6

Síntomas

Al intentar instalar la plantilla de Postfix se obtiene el siguiente error:

Error: plesk-mail-mc-driver conflicts with postfix
Error: plesk-mail-pc-driver conflicts with sw-msmtp

Ya he actualizado las plantillas EZ presentes en el nodo hardware tal y como se describe en este artículo de nuestra base de conocimiento.

Causa

La plantilla pp11.5-msmtp está instalada en el contenedor:

# vzpkg list CTID
centos-6-x86_64                      2013-09-17 19:25:18
centos-6-x86_64      pp              2013-09-18 08:18:32
centos-6-x86_64      pp11.5-msmtp    2013-09-18 08:18:32

Debido a un error de dependencia, en la implementación actual esta plantilla no puede reemplazarse por pp-postfix.

Resolución

Este problema será corregido en la próxima actualización de Parallels Plesk Panel, que se publicará tras la publicación de la actualización 11.5.30. La referencia del error es PPP-3792.

Solución provisional 1

Añada las siguientes líneas al archivo de configuración de la plantilla de SO en el nodo hardware. En el caso de la plantilla de SO centos-6-x86_64 serían:

/vz/template/centos/6/x86_64/config/app/pp-postfix/default/pre-install
--->8---
# Workaround for plesk-mail-mc-driver + postfix conflict
rpm -e sw-msmtp --nodeps
rpm -e plesk-mail-mc-driver --nodeps
rpm -e plesk-mail-pc-driver --nodeps
---8<---

Solución provisional 2

En el caso de usuarios de PBA-S, instale el paquete en Parallels Panel mediante el Autoinstaller y a continuación regístrelo en PBA-S.

  1. Instale la aplicación Postfix con el script del autoinstaller de Parallels Panel:

    [root@container ~]# /usr/local/psa/admin/sbin/autoinstaller --select-release-id PLESK_11_5_30 --install-component postfix
    
  2. Instale la plantilla en el contenedor desde el nodo hardware:

    [root@node ~]# vzpkg install CTID pp-postfix
    ...
    Setting up Install Process
    Package plesk-mail-pc-driver-11.5.30-cos6.build115130801.11.x86_64 already installed and latest version
    Package psa-mail-driver-common-11.5.30-cos6.build115130801.11.x86_64 already installed and latest version
    Package psa-courier-imap-4.12.0-cos6.build115130710.20.x86_64 already installed and latest version
    Package 2:postfix-2.8.14-13040119.x86_64 already installed and latest version
    Nothing to do
    ...
    [root@node ~]#
    
  3. Corrija el estado de la aplicación en PBA-S:

    Top > Service Director > Virtuozzo Manager > Containers > #CTID > Applications > Pp postfix > Mark As Installed
    

Los siguientes artículos de nuestra base de conocimiento también pueden resultarle de utilidad:

No se pueden actualizar plantillas de Parallels Panel en un contenedor porque plesk-mail-mc-driver entra en conflicto con Postfix

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 01bc4c8cf5b7f01f815a7ada004154a2 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f 400e18f6ede9f8be5575a475d2d6b0a6 caea8340e2d186a540518d08602aa065 807e9c1dc97aefd951b912a17e50c428 70a5401e8b9354cd1d64d0346f2c4a3e c62e8726973f80975db0531f1ed5c6a2 2897d76d56d2010f4e3a28f864d69223 0dd5b9380c7d4884d77587f3eb0fa8ef e8e50b42231236b82df27684e7ec0beb d02f9caf3e11b191a38179103495106f 624ca542e40215e6f1d39170d8e7ec75 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7 0c05f0c76fec3dd785e9feafce1099a9 36627b12981f68a16405a79233409a5e

Email subscription for changes to this article
Save as PDF